/* *************************************************************************
 * File : odo.h
 * by   : Bo-kyun Na, IntellActive Research.
 *        bkna@npac.syr.edu
 * Date : 1999.02.10.
 * ************************************************************************* */
/* @(#) BV_odo.h	1.23 99/02/10  */

#ifndef ODO_H
#define ODO_H

#define BUFFER_SIZE (1024*4)
#define DEFAULT_DEVICE  "/dev/o1k0"

typedef struct {
  int Audio_fd;
  int Audioctl_fd;
  int input_fd;
  int output_fd;

  char aud_data[BUFFER_SIZE];

  int format;
  int rate;
  int channels;
  unsigned int port;
  unsigned int buf_size;

  double  igain;
  double  ogain;
  double  mgain;  /* looping audio: want monitor gain at 0 */
} audio_t ;

/* Prototypes of object functions */
int BV_init_audio ();

#endif
